package utils

import (
	"testing"
)

var iv = "0123456789123456"
var key = "16fb034dead44ff6f599b1ca373ccfd1"

func TestEncrypt(t *testing.T) {
	text := "13100720242"
	e, err := Encrypt([]byte(text), []byte(key), []byte(iv))
	if err != nil {
		t.Errorf("sm4加密失败:%s\n", err)
		return
	}
	t.Logf("sm4加密结果:%s\n", e)
}

func TestDecrypt(t *testing.T) {
	text := "R2wVgntY8aP9QTvCN/bWfw=="
	d, err := Decrypt(text, []byte(key), []byte(iv))
	if err != nil {
		t.Errorf("sm4解密失败:%s\n", err)
		return
	}
	t.Logf("sm4解密结果:%s\n", d)
}
